%define _modulesdir %_libdir/X11/modules

Name: xorg-drv-sisusb
Version: 0.9.0
Release: alt1.M41.1
Serial: 1
Summary: SiS USB video driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Provides: xorg-x11-drv-sisusb = %serial:%version-%release
Obsoletes: xorg-x11-drv-sisusb

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: xorg-x11-sdk >= 1.4.0.90-al21 xorg-proto-devel xorg-util-macros

%description
sisusb is an Xorg driver for SiS (Silicon  Integrated  Systems)
video  chips  that are connected via a Net2280-based USB dongle.
The driver is not accelerated, but provides support for colordepths  of
8, 16 and 24 bpp as well as Render and other extensions.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

%files
%_modulesdir/drivers/*.so
%_man4dir/*

%changelog
* Fri Aug 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.9.0-alt1.M41.1
- build for branch 4.1

* Thu Jun 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.9.0-alt2
- renamed xorg-x11-drv-sisusb to xorg-drv-sisusb
- added requires XORG_ABI_VIDEODRV = 2.0

* Wed Mar 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.9.0-alt1
- 0.9.0

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.8.1-alt2
- rebuild with xorg-server-1.4

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.8.1-alt1
- 0.8.1

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.7.1.3-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.7.1.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.7.1-alt0.1
- initial release

